Retrieve the balance
curl --request GET \
--url https://api.hooper.gg/v1/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hooper.gg/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hooper.gg/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "balance",
"currency": "usd",
"available_cents": 123,
"held_cents": 123,
"credit_cents": 123,
"rate_cents_per_hour": 500,
"soonest_expiry": 123
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "<string>",
"param": "source.url"
}
}Billing
Retrieve the balance
GET
/
v1
/
balance
Retrieve the balance
curl --request GET \
--url https://api.hooper.gg/v1/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hooper.gg/v1/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hooper.gg/v1/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"object": "balance",
"currency": "usd",
"available_cents": 123,
"held_cents": 123,
"credit_cents": 123,
"rate_cents_per_hour": 500,
"soonest_expiry": 123
}{
"error": {
"type": "invalid_request_error",
"code": "parameter_invalid",
"message": "<string>",
"param": "source.url"
}
}Authorizations
API key issued by Hooper for your organization. Keys are environment-tagged: hk_prod_ keys work against production, hk_stg_ keys against staging.